> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CDN limits details

> Get information about CDN limits for the specific client account.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_reseller_api.yaml get /cdn/clients/{client_id}/limits
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 374b36dbeac8
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: Information about CDN product settings in your account.
  - name: CDN service
    description: Information about the current state of CDN service in your account.
  - name: Features
    description: Information about free and paid features available for you account.
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Logs uploader
    description: Manage logs uploader configs for reseller accounts.
  - name: Statistics
    description: Statistics CDN usage and paid features usage.
  - name: Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
paths:
  /cdn/clients/{client_id}/limits:
    get:
      tags:
        - CDN service
      summary: Get CDN limits details
      description: Get information about CDN limits for the specific client account.
      operationId: get-cdn-limits-details
      parameters:
        - $ref: '#/components/parameters/path_client_id'
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientsMeLimitsResponse'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    path_client_id:
      name: client_id
      in: path
      required: true
      schema:
        allOf:
          - $ref: '#/components/schemas/body_response_client_ID'
  schemas:
    ClientsMeLimitsResponse:
      type: object
      properties:
        id:
          type: integer
          description: Account ID.
          example: 100
        resources_limit:
          type: integer
          description: >-
            Maximum number of CDN resources that can be created on your tariff
            plan.
          example: 30
        rules_limit:
          type: integer
          description: >-
            Maximum number of rules that can be created per CDN resource on your
            tariff plan.
          example: 5
        origins_in_group_limit:
          type: integer
          description: >-
            Maximum number of origins that can be added to the origin group on
            your tariff plan.
          example: 10
        secondary_hostnames_limit:
          type: integer
          description: >-
            Maximum number of secondary hostnames (additional CNAMEs) per CDN
            resource.
          example: 10
        purge_pattern_limit:
          type: integer
          description: Maximum number of patterns per purge request.
          example: 50
        purge_max_urls_limit:
          type: integer
          description: Maximum number of URLs per purge-by-URL request.
          example: 100
        purge_request_limit:
          type: string
          description: Rate limit for purge-by-pattern requests.
          example: 1/m
        purge_by_urls_request_limit:
          type: string
          description: Rate limit for purge-by-URL requests.
          example: 2/m
        prefetch_pattern_limit:
          type: integer
          description: Maximum number of patterns per prefetch request.
          example: 100
        prefetch_request_limit:
          type: string
          description: Rate limit for prefetch requests.
          example: 2/m
    body_response_client_ID:
      type: integer
      description: Client account ID.
  responses:
    NotFound:
      description: The client is not found.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````